@media (max-width: 500px) {
    .calendarWrap {
        width: 100%;
        max-width: 300px; /* Will be AT MOST 320px wide */
        float: left;
    }
    .dateWrap {
        margin-right: 0px;
        margin-left: 0px;
        margin-bottom: 0px;
    }
}

@media (min-width: 501px) {
    .calendarWrap {
        width: 100%;
        max-width: 500px; /* Will be AT MOST 320px wide */
        float: left;
    }
    .dateWrap {
        margin-right: 15px;
        margin-left: 15px;
        margin-bottom: 15px;
    }
}